com.independentsoft.exchange

## Class AutodiscoverException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.independentsoft.exchange.AutodiscoverException

- All Implemented Interfaces:
    java.io.Serializable

      public class AutodiscoverException
      extends java.lang.Exception

  Contains an Autodiscover error response.
  See Also:
    Serialized Form

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCode()` Gets the error code for an error Autodiscover response.
    `java.lang.String` | `getDebugData()` Gets the debug data for an error Autodiscover response.
    `java.lang.String` | `getId()` Gets a hash of the name of the computer that is running Microsoft Exchange Server that has the Client Access server role installed.
    `java.lang.String` | `getMessage()` Gets the error message for an error Autodiscover response.
    `java.util.Date` | `getTime()` Gets the time when the error response was returned.
    `java.lang.String` | `toString()` Converts the value of the current AutodiscoverException object to its equivalent string representation.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Converts the value of the current AutodiscoverException object to its equivalent string representation.
      Overrides:
        `toString` in class `java.lang.Throwable`
      Returns:
        the string

    - #### getTime

          public java.util.Date getTime()

      Gets the time when the error response was returned.
      Returns:
        the time

    - #### getId

          public java.lang.String getId()

      Gets a hash of the name of the computer that is running Microsoft Exchange Server that has the Client Access server role installed.
      Returns:
        the id

    - #### getCode

          public java.lang.String getCode()

      Gets the error code for an error Autodiscover response.
      Returns:
        the code

    - #### getMessage

          public java.lang.String getMessage()

      Gets the error message for an error Autodiscover response.
      Overrides:
        `getMessage` in class `java.lang.Throwable`
      Returns:
        the message

    - #### getDebugData

          public java.lang.String getDebugData()

      Gets the debug data for an error Autodiscover response.
      Returns:
        the debug data